Skip to main content
Get edge application instance
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

System defined universally unique Id of the app instance

Response

A successful response.

App Instance detail

name
string
required

User defined name of the app instance, unique across the enterprise. Once app instance is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the app instance. Title can be changed at any time

Required string length: 3 - 256
Pattern: ^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$
projectId
string
required

project name which the given app instance belong to

appId
string
required

User defined name of the edge app, unique across the enterprise. Once app name is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
deviceId
string
required

User defined name of the device name, unique across the enterprise. Once device name is defined, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
activate
boolean
required

app instance activation flag

id
string
read-only

System defined universally unique Id of the app instance

Pattern: [0-9A-Za-z-]+
description
string

Detailed description of the app instance

Maximum string length: 256
revision
ObjectRevision is used to store the user information. · object

app instance object revision details

tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

clusterID
string

System defined universally unique clusterInstance ID, unique across the enterprise.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
vminfo
vm detail · object

virtual machine info

drives
Drive details · object[]

drive details

interfaces
App Interface detail · object[]

application interfaces

userData
string

Deprecated: Application initiazation script in cloud-config format to be used by cloud-init

customConfig
object

Application initialization script template in cloud-config format and user specified values

collectStatsIPAddr
string

holds the static Ip of the app instance

bundleversion
string

version of bundle app is referring to

logs
App Instance Logs configuration · object

App Instance logs

restart
Zed cloud Operation command · object

Restart counter: ZedCloudOpsCmd

refresh
Zed cloud Operation command · object

Refresh counter: ZedCloudOpsCmd

purge
Zed cloud Operation command · object

Purge counter: ZedCloudOpsCmd

remoteConsole
boolean

Remote console flag

encryptedSecrets
object

user encrypted secrets map

cryptoKey
string

Crypto Key for decrypting user secret information

manifestInfo
Transition action information · object

app manifest Info

appType
enum<string>
default:APP_TYPE_UNSPECIFIED

type of bundle

Available options:
APP_TYPE_UNSPECIFIED,
APP_TYPE_VM,
APP_TYPE_VM_RUNTIME,
APP_TYPE_CONTAINER,
APP_TYPE_MODULE,
APP_TYPE_DOCKER_COMPOSE
isSecretUpdated
boolean

This field tells whether user secrets has updated or not, especially the cusotom config

appPolicyId
string

app policy id

deploymentType
enum<string>
default:DEPLOYMENT_TYPE_UNSPECIFIED

type of deployment for the app, eg: azure, k3s, standalone

Available options:
DEPLOYMENT_TYPE_UNSPECIFIED,
DEPLOYMENT_TYPE_STAND_ALONE,
DEPLOYMENT_TYPE_AZURE,
DEPLOYMENT_TYPE_K3S,
DEPLOYMENT_TYPE_AWS,
DEPLOYMENT_TYPE_K3S_AZURE,
DEPLOYMENT_TYPE_K3S_AWS,
DEPLOYMENT_TYPE_VMWARE_VCE,
DEPLOYMENT_TYPE_VMWARE_TKG_ATTACH,
DEPLOYMENT_TYPE_DOCKER_RUNTIME
userDefinedVersion
string

Instance version tells which edge app does this instance is running

startDelayInSeconds
integer<int64>

start delay is the time in seconds EVE should wait after boot before starting the application instance

cloudInitVersion
integer<int64>

Cloud-init version that indicates whether it necessary or not for cloud-init tool to restart in a guest

allowSnapshots
boolean

Flag to determine if a snapshot creation is allowed

maxSnapshots
integer<int64>

Maximum number of snapshots allowed to be created

availableSnapshots
App instance snapshot · object[]

The list of available snapshots of the application instance

patchEnvelopeId
string

patch envelope id

patchEnvelopeName
string

patch envelope name

edgeNodeCluster
object

edge node cluster

dockerComposeYamlText
string
read-only

Docker compose base64 encoded plain text

dockerComposeTarImageName
string
read-only

Docker compose tar image name

datastoreIdList
string[]
read-only

List of datastore ids containing private registry credentials

PersistentRuntimeSizeBytes
string<uint64>

Persistent runtime size in bytes